#Module-Specific definitions
%define apache_version 2.2.8
%define mod_name mod_crowd
%define mod_conf B34_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache Basic Authentication Module written in c for Crowd
Name:		apache-%{mod_name}
Version:	1.0
Release:	%mkrel 9
Group:		System/Servers
License:	Public Domain
URL:		http://confluence.atlassian.com/display/CROWDEXT/Apache+Basic+Authentication+Module+written+in+c
Source0:	crowd_apache_module.zip
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CROWD is a web-based single sign-on (SSO) tool for provisioning and identity
management developed by Atlassian. This module allows for Basic authentication
calls from apache over to CROWD SSO.

%prep

%setup -q -n crowd_apache_module

cp %{SOURCE1} %{mod_conf}

dos2unix README

%build
%{_sbindir}/apxs -c mod_crowd.c soapClient.c soapC.c stdsoap2.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}



%changelog
* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0-9mdv2012.0
+ Revision: 772612
- rebuild

* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-8
+ Revision: 678298
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdv2011.0
+ Revision: 587956
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6mdv2010.1
+ Revision: 516084
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2010.0
+ Revision: 406568
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2009.1
+ Revision: 325685
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdv2009.0
+ Revision: 234916
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdv2009.0
+ Revision: 215563
- fix rebuild

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
+ Revision: 202054
- import apache-mod_crowd


* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
- initial Mandriva package
